MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001194VCMIMechanics - Battlespublic2013-01-31 03:232015-12-24 05:34
Reporterun_notas 
Assigned ToWarmonger 
PrioritylowSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version7
Product Version 
Target VersionFixed in Version0.98f 
Summary0001194: Magic Arrow doesn't work properly
DescriptionI have cast magic arrow with two different heroes (one expert in fire and the other just basic water) and the animation worked, the subtitle about the damaged appeared but the spell didn't really work because the enemy was unharmed.

I have tried to find out more info, but nothing useful.
TagsNo tags attached.
Attached Filestxt file icon VCMI_Client_log.txt [^] (1,038,206 bytes) 2013-01-31 03:23 [Show Content]

- Relationships
related to 0001207closedWarmonger Battle freezes when area spells are cast on empty space 
related to 0000831closedWarmonger Spell damage is shown at double the value in battle log since 0.86c 

-  Notes
(0003385)
Ivan (developer)
2013-02-17 17:12

Trying to run vcmi using valgrind with ~1 fps speed. Found uninitialized value that may cause this bug:

==5093== Thread 4:
==5093== Conditional jump or move depends on uninitialised value(s)
==5093== at 0x5B08539: IBonusBearer::getEffect(unsigned short, int) const (HeroBonus.cpp:508)
==5093== by 0x579FE27: CBattleInfoCallback::calculateDmgRange(BattleAttackInfo const&) const (CBattleCallback.cpp:817)
==5093== by 0x57A1EE3: CBattleInfoCallback::battleEstimateDamage(BattleAttackInfo const&, std::pair<unsigned int, unsigned int>*) const (CBattleCallback.cpp:994)
==5093== by 0x57A1DCE: CBattleInfoCallback::battleEstimateDamage(CStack const*, CStack const*, std::pair<unsigned int, unsigned int>*) const (CBattleCallback.cpp:984)
==5093== by 0x974525: CBattleInterface::handleHex(BattleHex, int) (CBattleInterface.cpp:3051)
==5093== by 0x972704: CBattleInterface::mouseMoved(SDL_MouseMotionEvent const&) (CBattleInterface.cpp:1002)
==5093== by 0x9D1BC1: CGuiHandler::handleMoveInterested(SDL_MouseMotionEvent const&) (CGuiHandler.cpp:352)
==5093== by 0x9D1A63: CGuiHandler::handleMouseMotion(SDL_Event*) (CGuiHandler.cpp:333)
==5093== by 0x9D0536: CGuiHandler::handleEvent(SDL_Event*) (CGuiHandler.cpp:214)
==5093== by 0x9D0126: CGuiHandler::handleEvents() (CGuiHandler.cpp:177)
==5093== by 0xC562AF: CPlayerInterface::update() (CPlayerInterface.cpp:1568)
==5093== by 0xC5653B: non-virtual thunk to CPlayerInterface::update() (CPlayerInterface.cpp:1582)
(0006206)
SXX (administrator)
2015-12-24 05:34

Another bug that fixed long time ago.

- Issue History
Date Modified Username Field Change
2013-01-31 03:23 un_notas New Issue
2013-01-31 03:23 un_notas File Added: VCMI_Client_log.txt
2013-02-13 07:28 Warmonger Relationship added related to 0001207
2013-02-13 07:48 Warmonger Relationship added related to 0000831
2013-02-17 15:50 Warmonger Assigned To => Warmonger
2013-02-17 15:50 Warmonger Status new => assigned
2013-02-17 17:12 Ivan Note Added: 0003385
2015-12-24 05:34 SXX Note Added: 0006206
2015-12-24 05:34 SXX Status assigned => closed
2015-12-24 05:34 SXX Resolution open => fixed
2015-12-24 05:34 SXX Fixed in Version => 0.98f

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean